# Uses of Interface
java.lang.classfile.attribute.CodeAttribute

Packages that use CodeAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of CodeAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type CodeAttribute
Modifier and Type
Method
Description
`static AttributeMapper<CodeAttribute>`
Attributes.`code()`
Returns the mapper for the `Code` attribute.

## Uses of CodeAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type CodeAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`CodeAttribute`
Models the `Code` attribute (JVMS 4.7.3), which contains the bytecode of this method.